## pgfincore 1.0

=== Makefile ===
ifndef VPATH
SRCDIR = .
else
SRCDIR = $(VPATH)
endif

EXTENSION    = pgfincore
EXTVERSION   = $(shell grep default_version $(SRCDIR)/$(EXTENSION).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

MODULES      = $(EXTENSION)
DATA         = sql/pgfincore.sql sql/uninstall_pgfincore.sql
DOCS         = README.rst

PG_CONFIG    = pg_config

PG91         = $(shell $(PG_CONFIG) --version | grep -qE "8\.|9\.0" && echo no || echo yes)

ifeq ($(PG91),yes)
all: pgfincore--$(EXTVERSION).sql

pgfincore--$(EXTVERSION).sql: sql/pgfincore.sql
	cp $< $@

DATA        = pgfincore--unpackaged--$(EXTVERSION).sql pgfincore--$(EXTVERSION).sql
EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

PKGNAME = $(EXTENSION)
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')

deb:
	PKGVERS=$(PKGVERS) make -f debian/rules debian/control
	dh clean
	PKGVERS=$(PKGVERS) make -f debian/rules orig
	debuild -us -uc -sa

=== debian/control ===
Source: pgfincore
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7.0.50), postgresql-server-dev-all (>= 118)
Standards-Version: 3.9.2
Vcs-Git: git://git.postgresql.org/git/pgfincore.git
Vcs-browser: http://git.postgresql.org/gitweb/?p=pgfincore.git
Homepage: http://villemain.org/projects/pgfincore

Package: postgresql-9.0-pgfincore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.0
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

SRCDIR = $(CURDIR)
TARGET = $(CURDIR)/debian/pgfincore-%v
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXCLUDE = --exclude-vcs --exclude=debian

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_clean: debian/control
	pg_buildext clean $(SRCDIR) $(TARGET) "$(CFLAGS)"
	dh_clean 

override_dh_auto_build:
	# build all supported version
	pg_buildext build $(SRCDIR) $(TARGET) "$(CFLAGS)"

override_dh_auto_install: 
	# then install each of them
	for v in `pg_buildext supported-versions $(SRCDIR)`; do \
		dh_install -ppostgresql-$$v-pgfincore ;\
	done

orig: clean
	cd .. && tar czf pgfincore_$(PKGVERS).orig.tar.gz $(EXCLUDE) pgfincore

%:
	dh $@

## pgfincore 1.1

=== Makefile ===
EXTENSION    = pgfincore
EXTVERSION   = $(shell grep default_version $(SRCDIR)/$(EXTENSION).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

MODULES      = $(EXTENSION)
DATA         = pgfincore.sql uninstall_pgfincore.sql
DOCS         = README.rst

PG_CONFIG    = pg_config

PG91         = $(shell $(PG_CONFIG) --version | grep -qE "8\.|9\.0" && echo no || echo yes)

ifeq ($(PG91),yes)
all: pgfincore--$(EXTVERSION).sql

pgfincore--$(EXTVERSION).sql: pgfincore.sql
	cp $< $@

DATA        = pgfincore--unpackaged--$(EXTVERSION).sql pgfincore--$(EXTVERSION).sql
EXTRA_CLEAN = $(EXTENSION)--$(EXTVERSION).sql
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

deb:
	make -f debian/rules debian/control
	dh clean
	make -f debian/rules orig
	debuild -us -uc -sa

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Vcs-browser: http://git.postgresql.org/gitweb/?p=pgfincore.git
 Homepage: http://villemain.org/projects/pgfincore
 
-Package: postgresql-9.0-pgfincore
+Package: postgresql-9.1-pgfincore
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.0
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
 Description: set of PostgreSQL functions to manage blocks in memory
  Those functions let you know which and how many disk block from a relation
  are in the page cache of the operating system, and eventually write the

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,13 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-SRCDIR = $(CURDIR)
+export SRCDIR = $(CURDIR)
 TARGET = $(CURDIR)/debian/pgfincore-%v
 PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
 EXCLUDE = --exclude-vcs --exclude=debian
 
 include /usr/share/postgresql-common/pgxs_debian_control.mk
+.PHONY: debian/control
 
 override_dh_auto_clean: debian/control
 	pg_buildext clean $(SRCDIR) $(TARGET) "$(CFLAGS)"
@@ -29,7 +30,7 @@
 
 override_dh_auto_build:
 	# build all supported version
-	pg_buildext build $(SRCDIR) $(TARGET) "$(CFLAGS)"
+	+pg_buildext build $(SRCDIR) $(TARGET) "$(CFLAGS)"
 
 override_dh_auto_install: 
 	# then install each of them

## pgfincore 1.1.2

=== Makefile ===
EXTENSION    = pgfincore
EXTVERSION   = 1.1.2
EXTCOMMENT   = examine and manage the os buffer cache

MODULES      = $(EXTENSION)
MODULEDIR    = $(EXTENSION)
DOCS         = README.rst
DATA_built   = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--unpackaged--$(EXTVERSION).sql
REGRESS      = $(EXTENSION).ext
EXTRA_CLEAN  = $(EXTENSION).control

PG_CONFIG    = pg_config

BUILD_EXTENSION = $(shell $(PG_CONFIG) --version | grep -qE "8\.|9\.0" && echo no || echo yes)

ifeq ($(BUILD_EXTENSION),no)
DATA_built  =
DATA        = $(EXTENSION).sql uninstall_$(EXTENSION).sql
REGRESS     = $(EXTENSION)
EXTRA_CLEAN =
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Build some more files for extension support:
ifeq ($(BUILD_EXTENSION),yes)
# pgxs is included after variable definition and before targets, so the
# PostgreSQL default target is used (all:)

# build the extension--unpackaged--version.sql from uninstall_extension.sql
# this assumes that the extension was installed via sql script instead of
# CREATE EXTENSION.
# This won't upgrade from a previous version to the current one.
$(EXTENSION)--unpackaged--$(EXTVERSION).sql: uninstall_$(EXTENSION).sql
	sed 's/DROP /ALTER EXTENSION $(EXTENSION) ADD /' $< > $@

# this copy the extension.sql to extension--version.sql
$(EXTENSION)--$(EXTVERSION).sql: $(EXTENSION).sql
	cp $< $@

# this build extension.control from extension.control.in
$(EXTENSION).control: $(EXTENSION).control.in
	sed 's/EXTVERSION/$(EXTVERSION)/;s/EXTENSION/$(EXTENSION)/;s/EXTCOMMENT/$(EXTCOMMENT)/' $< > $@
endif

# Here we override targets
# Recent PostgreSQL got a bugfix about that, here we just abuse the upstream fix in the mean-time
# FIX HERE before PostgreSQL got the backpatch and push the latest minor, can remove this part when done
ifeq ($(BUILD_EXTENSION),yes)

install: all installcontrol installdata installdocs installscripts | installdirs
ifdef MODULES
	$(INSTALL_SHLIB) $(addsuffix $(DLSUFFIX), $(MODULES)) '$(DESTDIR)$(pkglibdir)/'
endif # MODULES

installcontrol: $(addsuffix .control, $(EXTENSION))
ifneq (,$(EXTENSION))
	$(INSTALL_DATA) $^ '$(DESTDIR)$(datadir)/extension/'
endif

installdata: $(DATA) $(DATA_built)
ifneq (,$(DATA)$(DATA_built))
	$(INSTALL_DATA) $^ '$(DESTDIR)$(datadir)/$(datamoduledir)/'
endif

installdocs: $(DOCS)
ifdef DOCS
ifdef docdir
	$(INSTALL_DATA) $^ '$(DESTDIR)$(docdir)/$(docmoduledir)/'
endif # docdir
endif # DOCS

installscripts: $(SCRIPTS) $(SCRIPTS_built)
ifdef SCRIPTS
	$(INSTALL_SCRIPT) $^ '$(DESTDIR)$(bindir)/'
endif # SCRIPTS

installdirs:
ifneq (,$(EXTENSION))
	$(MKDIR_P) '$(DESTDIR)$(datadir)/extension'
endif
ifneq (,$(DATA)$(DATA_built))
	$(MKDIR_P) '$(DESTDIR)$(datadir)/$(datamoduledir)'
endif
ifneq (,$(MODULES))
	$(MKDIR_P) '$(DESTDIR)$(pkglibdir)'
endif
ifdef DOCS
ifdef docdir
	$(MKDIR_P) '$(DESTDIR)$(docdir)/$(docmoduledir)'
endif # docdir
endif # DOCS

endif

dist:
	git archive --prefix=$(EXTENSION)-$(EXTVERSION)/ -o ../$(EXTENSION)_$(EXTVERSION).orig.tar.gz HEAD

deb:
	make clean
	make -f debian/rules debian/control
	dh clean
	make -f debian/rules orig
	debuild -us -uc -sa

=== debian/changelog ===
pgfincore (1.1.2-1) unstable; urgency=low

  * New upstream release with PostgreSQL 9.3 support. (Closes: #725570)
  * Add autopkgtest support.
  * Add watch file looking for releases on github.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 10 Dec 2013 15:35:40 +0100

pgfincore (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Cédric Villemain <cedric@villemain.org>  Fri, 02 Dec 2011 22:48:27 +0100

pgfincore (1.1-1) unstable; urgency=low

  * New upstream release
  * Clean packaging for 9.1 (Closes: #639460)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 05 Sep 2011 12:56:05 +0200

pgfincore (1.0-1) unstable; urgency=low

  * New upstream release

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 27 Jul 2011 16:21:48 +0200

pgfincore (0.4-1) unstable; urgency=low

  * Initial packaging

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 30 Nov 2010 15:27:25 +0100

=== debian/control ===
Source: pgfincore
Section: database
Priority: extra
Maintainer: Cédric Villemain <cedric@villemain.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 8.9.0), postgresql-server-dev-all (>= 118)
Standards-Version: 3.9.5
Vcs-Git: git://git.postgresql.org/git/pgfincore.git
Vcs-browser: http://git.postgresql.org/gitweb/?p=pgfincore.git
Homepage: http://villemain.org/projects/pgfincore
XS-Testsuite: autopkgtest

Package: postgresql-9.3-pgfincore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

=== debian/watch ===
version=3
https://github.com/klando/pgfincore/releases /klando/pgfincore/archive/(.*).tar.gz

## pgfincore 1.2

=== debian/changelog ===
pgfincore (1.2-2) unstable; urgency=medium

  * Upload with 9.6 support.
  * Update watch file to ignore debian/ tags on github.
  * Bump S-V and clean up results/.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 13:16:54 +0200

pgfincore (1.2-1) unstable; urgency=medium

  * New upstream release 1.2.

 -- Cédric Villemain <cedric@villemain.org>  Thu, 15 Sep 2016 13:13:14 +0200

pgfincore (1.1.2-4) unstable; urgency=medium

  * Build for PostgreSQL 9.5. (Closes: #811134)
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/control.in: Drop obsolete XS-Testsuite: field.

 -- Martin Pitt <mpitt@debian.org>  Sat, 16 Jan 2016 11:50:19 +0100

pgfincore (1.1.2-3) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:16:09 +0200

pgfincore (1.1.2-2) experimental; urgency=medium

  * Use "all" in debian/pgversions.
  * B-D on pg-common 158 to build against 9.3 and 9.4.
  * Use pg_buildext installcheck.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2014 18:32:22 +0200

=== debian/control ===
Source: pgfincore
Section: database
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Cédric Villemain <cedric@villemain.org>, Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 3.9.8
Vcs-Git: git://git.postgresql.org/git/pgfincore.git
Vcs-Browser: http://git.postgresql.org/gitweb/?p=pgfincore.git
Homepage: http://villemain.org/projects/pgfincore

Package: postgresql-9.6-pgfincore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

## pgfincore 1.2.1

=== debian/changelog ===
pgfincore (1.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Update PostgreSQL team address.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:33:10 +0200

pgfincore (1.2.1-1) unstable; urgency=medium

  * Team upload for PostgreSQL 10 support.
  * New upstream version.
  * debian/tests/control: Drop needs-root.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 22 Sep 2017 09:48:18 +0200

=== debian/control ===
Source: pgfincore
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Cédric Villemain <cedric@villemain.org>, Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 4.2.0
Vcs-Git: git://git.postgresql.org/git/pgfincore.git
Vcs-Browser: http://git.postgresql.org/gitweb/?p=pgfincore.git
Homepage: http://villemain.org/projects/pgfincore

Package: postgresql-11-pgfincore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

## pgfincore 1.2.2

=== debian/changelog ===
pgfincore (1.2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 12:39:15 +0200

pgfincore (1.2.2-1) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 14:57:19 +0100

=== debian/control ===
Source: pgfincore
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Cédric Villemain <cedric@villemain.org>, Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: git://git.postgresql.org/git/pgfincore.git
Vcs-Browser: http://git.postgresql.org/gitweb/?p=pgfincore.git
Homepage: http://villemain.org/projects/pgfincore

Package: postgresql-13-pgfincore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

=== debian/watch ===
version=3
https://github.com/klando/pgfincore/releases /klando/pgfincore/archive/([^/]*).tar.gz

## pgfincore 1.2.4

=== Makefile ===
EXTENSION    = pgfincore
EXTVERSION   = 1.2

MODULES      = $(EXTENSION)
MODULEDIR    = $(EXTENSION)
DOCS         = README.md
DATA         = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--unpackaged--$(EXTVERSION).sql
REGRESS      = $(EXTENSION)

PG_CONFIG    = pg_config

PGXS := $(shell $(PG_CONFIG) --pgxs)

include $(PGXS)

dist:
	git archive --prefix=$(EXTENSION)-$(EXTVERSION)/ -o ../$(EXTENSION)_$(EXTVERSION).orig.tar.gz HEAD

deb:
	make clean
	pg_buildext updatecontrol
	make -f debian/rules debian/control
	dh clean
	make dist
	dpkg-buildpackage -us -uc

=== debian/changelog ===
pgfincore (1.2.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 11:59:48 +0200

pgfincore (1.2.4-1) unstable; urgency=medium

  * New version with PG 15 support.

 -- Christoph Berg <myon@debian.org>  Wed, 28 Sep 2022 14:13:32 +0200

pgfincore (1.2.3-1) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 12:37:15 +0100

pgfincore (1.2.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 14:14:12 +0100

=== debian/watch ===
version=4
https://github.com/klando/pgfincore/tags .*/([^/-]*).tar.gz

## pgfincore 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 EXTENSION    = pgfincore
-EXTVERSION   = 1.2
+EXTVERSION   = 1.3.1
 
 MODULES      = $(EXTENSION)
 MODULEDIR    = $(EXTENSION)
 DOCS         = README.md
-DATA         = $(EXTENSION)--$(EXTVERSION).sql $(EXTENSION)--unpackaged--$(EXTVERSION).sql
+DATA         = $(EXTENSION)--1.2--1.3.1.sql \
+               $(EXTENSION)--$(EXTVERSION).sql
+
 REGRESS      = $(EXTENSION)
 
 PG_CONFIG    = pg_config

=== debian/changelog ===
pgfincore (1.3.1-3.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 09 Jan 2026 15:39:51 +0100

pgfincore (1.3.1-3) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * Fix for PostgreSQL 18. (Closes: #1117300)

  [ Christoph Berg ]
  * Move packaging repo to https://salsa.debian.org/postgresql/pgfincore.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Jan 2026 15:39:51 +0100

pgfincore (1.3.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 19:17:06 +0200

pgfincore (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2023 17:51:54 +0200

=== debian/control ===
Source: pgfincore
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Cédric Villemain <cedric@villemain.org>,
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/postgresql/pgfincore.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgfincore
Homepage: http://villemain.org/projects/pgfincore

Package: postgresql-10-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-11-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-12-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-13-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-14-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-15-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-16-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-17-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.

Package: postgresql-18-pgfincore
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: set of PostgreSQL functions to manage blocks in memory
 Those functions let you know which and how many disk block from a relation
 are in the page cache of the operating system, and eventually write the
 result to a file. Then using this file, it is possible to restore the page
 cache state for each block of the relation.
